Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERBoolean

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DERBoolean

All Implemented Interfaces:
  DEREncodable, DERTags

public class DERBoolean
extends DERObject

Field Summary
`static DERBoolean` | `FALSE`
`static DERBoolean` | `TRUE`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERBoolean(boolean value)`
`DERBoolean(byte[] value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DERBoolean` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a Boolean from a tagged object.
`static DERBoolean` | `getInstance(boolean value)` return a DERBoolean from the passed in boolean.
`static DERBoolean` | `getInstance(java.lang.Object obj)` return a boolean from the passed in object.
`int` | `hashCode()`
`boolean` | `isTrue()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FALSE

    public static final DERBoolean FALSE

### TRUE

    public static final DERBoolean TRUE

Constructor Detail

### DERBoolean

    public DERBoolean(byte[] value)

### DERBoolean

    public DERBoolean(boolean value)

Method Detail

### getInstance

    public static DERBoolean getInstance(java.lang.Object obj)

  return a boolean from the passed in object.

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERBoolean getInstance(boolean value)

  return a DERBoolean from the passed in boolean.

### getInstance

    public static DERBoolean getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

  return a Boolean from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### isTrue

    public boolean isTrue()

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `DERObject`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `DERObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD